[SciPy-Dev] request for testing: SciPy 0.7.2 RC1 + NumPy 1.4.1 RC1

Ralf Gommers ralf.gommers@googlemail....
Tue Apr 6 09:13:55 CDT 2010


On Tue, Apr 6, 2010 at 8:28 PM, Alan G Isaac <aisaac@american.edu> wrote:

> >> Python 2.6.5 (32bit) on Vista (64bit), no gcc.
> >>
> >> c:\Python26\lib\site-packages\scipy\stats\distributions.py:27:
> >> RuntimeWarning: numpy.flatiter size changed, may indicate binary
> >> incompatibility
> >> import vonmises_cython
>
> On 4/5/2010 11:38 PM, Ralf Gommers wrote:
> > Can you please double check that it's not picking up some left-over from
> > 1.4.0 on your system? This really should have been fixed.
>
>
> Did you mena from NumPy, or from SciPy?  (The above is the SciPy test.)
>

I meant the regeneration of the C sources from cython files in scipy. The
only reason to do this was to fix the binary incompatibility problem that
existed between numpy 1.4.0 and scipy 0.7.x. But probably Josef is right,
and the warning is not harmful. I just don't understand why you see it and
Bruce and I don't. Maybe someone with a deeper understanding of the issue
can weigh in here.


> As for NumPy, I do not think that I ever installed 1.4.0 on this machine.
> I uninstalled 1.3 usng the Windows uninstall facility
> and installed from the superpacks.
>
> The uninstall completely removes the old directory in site-packages.
> I'd need a suggestion for what else to do.
>

OK, thanks. Nothing else to do for now, unless David or another dev thinks
this is a problem.

Cheers,
Ralf
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/scipy-dev/attachments/20100406/1a897702/attachment.html 


More information about the SciPy-Dev mailing list